import 'package:flutter/material.dart';
@immutable
class TextUtil extends StatelessWidget {
  
  final String text;
  final Color? color;
  final double? size;
  final bool? weight;
  final FontWeight? fontWeight;
 const TextUtil({super.key,required this.text,this.size,this.color,this.weight,this.fontWeight});

  @override
  Widget build(BuildContext context) {
    return  Text(text,

      style: TextStyle(color:color??Colors.white,fontSize:size?? 16,
          fontWeight:weight==null?FontWeight.w600: FontWeight.w700
      ),);
  }
}